Name:		rekonq
Version: 	1.3
Release:	1%{?dist}
Summary:	KDE browser based on QtWebkit

License:	GPLv2+
URL:		http://rekonq.kde.org/
Source0:	http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2

BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	kdelibs4-devel	
BuildRequires:	pkgconfig(qca2)
BuildRequires:	pkgconfig(qoauth)
BuildRequires:	pkgconfig(QtGui) pkgconfig(QtNetwork)
BuildRequires:	pkgconfig(QtWebKit)

Requires: kde-runtime%{?_kde4_version: >= %{_kde4_version}}
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
rekonq is a KDE browser based on QtWebkit. Its code is based on Nokia 
QtDemoBrowser, just like Arora. It's implementation is going to embrace 
KDE technologies to have a full-featured KDE web browser.


%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
%find_lang %{name} --with-kde --all-name


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/kde4/rekonq.desktop


%post
touch --no-create %{_kde4_iconsdir}/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor/ &>/dev/null
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &>/dev/null || :

%files -f %{name}.lang
%doc AUTHORS COPYING ChangeLog TODO
%{_kde4_bindir}/kwebapp
%{_kde4_bindir}/rekonq
%{_kde4_libdir}/libkdeinit4_rekonq.so
%{_kde4_sharedir}/config.kcfg/rekonq.kcfg
%{_kde4_sharedir}/applications/kde4/rekonq.desktop
%{_kde4_iconsdir}/hicolor/*/*/*
%{_kde4_appsdir}/rekonq/


%changelog
* Mon Nov 05 2012 Rex Dieter <rdieter@fedoraproject.org> 1.3-1
- 1.3

* Sat Oct 06 2012 Rex Dieter <rdieter@fedoraproject.org> 1.2-1
- 1.2

* Tue Aug 28 2012 Rex Dieter <rdieter@fedoraproject.org> 1.1-1
- rekonq-1.1
- .spec cleanup

* Sat Jul 21 2012 Rex Dieter <rdieter@fedoraproject.org> 1.0-1
- rekonq-1.0

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 02 2012 Jaroslav Reznik <jreznik@redhat.com> - 0.9.2-1
- Update to 0.9.2

* Mon Apr 02 2012 Jaroslav Reznik <jreznik@redhat.com> - 0.9.1-1
- Update to 0.9.1

* Sun Mar 04 2012 Jaroslav Reznik <jreznik@redhat.com> - 0.9.0.1-1
- Update to 0.9.0-1

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Oct 19 2011 Rex Dieter <rdieter@fedoraproject.org> 0.8.0-1
- rekonq 0.8.0
- BR: pkgconfig(QtWebKit), s/kdebase-workspace-devel/kdelibs4-devel/
- Requires: s/kdebase-workspace/kdebase-runtime/
- add tighter, versioned qt runtime dep

* Thu Jul 28 2011 Eelko Berkenpies <fedora@berkenpi.es> 0.7.0-1
- new upstream version
- dropped rekonq_fix_CVE-2010-2536.patch, fixed upstream

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.6.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Oct 06 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.1-1
- rekonq 0.6.1

* Wed Sep 29 2010 jkeating - 0.6.0-2
- Rebuilt for gcc bug 634757

* Fri Sep 24 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.6.0-1
- rekonq 0.6.0

* Tue Aug 03 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.5.0-2
- added patch to fix CVE-2010-2536 (patch by Eelko)
- fixes #620897

* Tue Jul 13 2010 Eelko Berkenpies <fedora@berkenpi.es> 0.5.0-1
- rekonq 0.5.0

* Thu Jun 17 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.95-1
- rekonq 0.4.95

* Wed Apr 07 2010 Thomas Janssen <thomasj@fedoraproject.org> 0.4.0-1
- rekonq-0.4.0

* Wed Nov 25 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.3.0-2
- fix requirements

* Wed Nov 25 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.3.0-1
- new upstream version

* Mon Aug 31 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.2.0-3
- fix directory ownership in spec file

* Sat Aug 29 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.2.0-2
- fix build requirements in spec file

* Tue Aug 25 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.2.0-1
- version 0.2.0
- multiple spec file improvements

* Fri May 29 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.1.0-1
- version 0.1.0

* Mon Mar 23 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.0.4-2
- cleaning up spec file.

* Tue Mar 17 2009 Eelko Berkenpies <fedora@berkenpies.nl> 0.0.4-1
- Initial package.
